@echo off
rem To build and install the additional libraries, execute this file in the \agena\src subfolder
rem in a plain NT shell, and not in MinGW.

rem DYNAMIC LINKING with MPFR
set mpfropts=-Wall -O3 -fgnu89-inline -shared -I. -L.

rem STATIC LINKING with MPFR
rem set mpfropts=-Wall -pipe -O3 -DLUA_BUILD_AS_DLL -fgnu89-inline -shared -I../ports/mpfr-4.1.0/src -L../ports/mpfr-4.1.0/src/.libs -I. -L.

set mpfrlibs=-lmpfr -lgmp -lagena
rem put -lmpfr -lgmp -lagena AFTER source filename

set OLDPATH=%PATH%
set PATH=%PATH%;c:\mingw\bin

echo Buildung mpf.
gcc %mpfropts% -o mpf.dll mpf.c %mpfrlibs%
echo.
echo Slimming and moving `mpf` package.
strip --strip-unneeded mpf.dll
copy mpf.dll ..\lib >> NUL

echo Installed `mpf` library into Agena /lib folder.

del mpf.dll

set mpfropts=
set gmplibs=
set PATH=%OLDPATH%
set OLDPATH=